Subject: Don't use the CURRENCY_SYMBOL identifier
From: Ansgar Burchardt <ansgar@debian.org>
Date: Mon, 16 Feb 2009 23:55:40 +0100

Do not use CURRENCY_SYMBOL because it is already defined in
/usr/include/langinfo.h.

This should fix the build failure on alpha:

g++ -o build/release/mrt/utf8_utils.os -c -Wall -g -g -O2 -Wall -g -Wall -g -Wall -pedantic -Wno-long-long -pipe -pthread -fPIC -Wall -pedantic -Wno-long-long -pipe -pthread -DUSE_GLSDL -DV3_DISABLE_Z -D_REENTRANT -DRELEASE -DPREFIX="\"/usr\"" -DRESOURCES_DIR="\"/usr/share/games/btanks\"" -DPLUGINS_DIR="\"/usr/lib/btanks\"" -DMRTAPI=DLLEXPORT -I. -Ibuild/release/mrt -Imrt mrt/utf8_utils.cpp
In file included from mrt/utf8_utils.cpp:21:
mrt/tclUniData.c:883: error: conflicting declaration '__CURRENCY_SYMBOL'
/usr/include/langinfo.h:360: error: '__CURRENCY_SYMBOL' has a previous declaration as '<anonymous enum> __CURRENCY_SYMBOL'
scons: *** [build/release/mrt/utf8_utils.os] Error 1

--- btanks-0.9.8083.orig/mrt/tclUniData.c
+++ btanks-0.9.8083/mrt/tclUniData.c
@@ -881,7 +881,7 @@
     FINAL_QUOTE_PUNCTUATION,
     OTHER_PUNCTUATION,
     MATH_SYMBOL,
-    CURRENCY_SYMBOL,
+    MY_CURRENCY_SYMBOL,
     MODIFIER_SYMBOL,
     OTHER_SYMBOL
 };
